app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', 'WelcomeController@index');

Route::get('home', 'HomeController@index');

Route::controllers([
	'auth' => 'Auth\AuthController',
	'password' => 'Auth\PasswordController'
]);

//Entidad Genero---------------------------------------------------------------------------------

Route::resource('genero', 'GeneroController');

Route::get('genero/destroy/{id}', ['as'=>'genero/destroy', 'uses'=>'GeneroController@destroy']);

Route::post('genero/search', ['as'=>'genero/search', 'uses'=>'GeneroController@search']);

//Entidad Movie----------------------------------------------------------------------------------

Route::resource('movie', 'MovieController');

Route::get('movie/destroy/{id}', ['as'=>'movie/destroy', 'uses'=>'MovieController@destroy']);

Route::post('movie/search', ['as'=>'movie/search', 'uses'=>'MovieController@search']);
Route::post('movie/store', ['as'=>'movie/store', 'uses'=>'MovieController@store']);

//Entidad Empleado-------------------------------------------------------------------------------

Route::resource('empleado', 'EmpleadoController');

Route::get('empleado/destroy/{id}', ['as'=>'empleado/destroy', 'uses'=>'EmpleadoController@destroy']);

Route::post('empleado/search', ['as'=>'empleado/search', 'uses'=>'EmpleadoController@search']);

//Entidad Cliente-------------------------------------------------------------------------------

Route::resource('cliente', 'ClienteController');

Route::get('cliente/destroy/{Id}', ['as'=>'cliente/destroy', 'uses'=>'ClienteController@destroy']);

Route::post('cliente/search', ['as'=>'cliente/search', 'uses'=>'ClienteController@search']);

//Entidad Venta---------------------------------------------------------------------------------

Route::resource('venta', 'VentaController');

Route::get('venta/destroy/{Id}', ['as'=>'venta/destroy', 'uses'=>'VentaController@destroy']);

Route::post('venta/search', ['as'=>'venta/search', 'uses'=>'VentaController@search']);

Route::post('venta/store', ['as'=>'venta/store', 'uses'=>'VentaController@store']);

app/Models/Genero.php
<?php namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Genero extends Model {

	protected $table = 'generos';
	protected $fillable = ['nombre','descripcion'];
	protected $guarded = ['id'];

}

app/Http/Controllers/GeneroController.php
<?php namespace App\Http\Controllers;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\Genero as Genero;
use App\Models\Movie as Movie;
use Illuminate\Http\Request;

class GeneroController extends Controller {

	/**
	 * Display a listing of the resource.
	 *
	 * @return Response
	 */
	public function index()
	{
		$generos = Genero::all();
		
		return \View::make('Genero/list', compact('generos'));
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return Response
	 */
	public function create()
	{
		return \View::make('Genero/new');
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @return Response
	 */
	public function store(Request $request)
	{
		$genero = new Genero;
		$genero->nombre = $request->nombre;
		$genero->descripcion = $request->descripcion;
		$genero->save();
		return redirect('genero');
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function show($id)
	{
		//
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function edit($id)
	{
		$genero = Genero::find($id);
		return \View::make('Genero/update', compact('genero'));
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function update(Request $request)
	{
		$genero = Movie::find($request->id);
		$genero->nombre = $request->nombre;
		$genero->descripcion = $request->descripcion;
		$genero->save();
		return redirect('genero');
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */

	//Consultar
	public function search(Request $request)
	{
		$generos = Genero::where('nombre','like','%'.$request->name.'%')->get();

		return \View::make('Genero/list', compact('generos'));
	}

	public function destroy($id)
	{
		$genero = Genero::find($id);
		$genero->delete();
		return \View::make('Genero/list', compact('generos'));
	}

}

resources/views/Genero/list.blade.php
@extends('app')
@section('content')
<div class="container">
	<div class="row">
		{!! Form::open(['route'=>'genero/search', 'method'=>'post', 'novalidate', 'class'=>'form-inline'])!!}
		<div class="form-group">
			<label for="exampleInputName2">Nombre</label>
			<input type="text" class="form-control" name="name">
		</div>
		<button type="submit" class="btn btn-default">Buscar</button>
		<a href="{{ route('genero.index') }}" class="btn btn-primary">Todos</a>
		<a href="{{ route('genero.create') }}" class="btn btn-primary">Registrar</a>
		{!! Form::close() !!}
		<br>
		<table class="table table-condensed table-striped table-bordered">
			<thead>
				<tr>
					<th>Nombre</th>
					<th>Descripcion</th>
					<th>Accion</th>
				</tr>
			</thead>
			<tbody>
				@foreach($generos as $genero)
				<tr>
					<td>{{ $genero->nombre }}</td>
					<td>{{ $genero->descripcion }}</td>
					<td>
						<a class="btn btn-primary btn-xs" href="{{ route('genero.edit',['id'=>$genero->id])}}">Editar</a>
						<a class="btn btn-danger btn-xs" href="{{ route('genero/destroy', ['id'=>$genero->id]) }}">Borrar</a>
					</td>
				</tr>
				@endforeach
			</tbody>
		</table>
	</div>
</div>
@endsection

resources/views/Genero/new.blade.php
@extends('app')
@section('content')
<div class="container">
	<div class="row">
		<div class"col-md-10 col-md-offset-1">
			{!! Form::open(['route' => 'genero.store', 'method' => 'post', 'novalidate']) !!}
			<div class="Form-group">
				{!! Form::label('full_name', 'Nombre')!!}
				{!! Form::text('nombre', null, ['class' => 'form-control', 'required' => 'required'])!!}
			</div>
			<div class="Form-group">
				{!! Form::label('email', 'Descripcion')!!}
				{!! Form::text('descripcion', null, ['class'=>'form-control', 'required' => 'required'])!!}
			</div>
			<div class="Form-group">
				{!! Form::submit('Enviar', ['class'=>'btn btn-success'])!!}
			</div>
			<div>
				{!! Form::close()!!}
			</div>
		</div>
	</div>
</div>
@endsection

resources/views/Genero/update.blade.php
@extends('app');
@section('content')
<div class="container">
	<div class="row">
		<div class="col-md-10 col-md-offset-1">
			{!! Form::model($movie, ['route' => 'genero.update', 'method' => 'put', 'novalidate'])!!}
			{!! Form::hidden('id', $movie->id)!!}
			<div class="form-group">
				{!! Form::label('full_name', 'Nombre')!!}
				{!! Form::text('name', null, ['class' => 'form-control','required' => 'required'])!!}
			</div>
			<div class="form-group">
				{!! Form::label('email', 'Descripcion')!!}
				{!! Form::text('description', null, ['class' => 'form-control','required' => 'required'])!!}
			</div>
			<div class="form-group">
				{!! Form::submit('Enviar', ['class' => 'btn btn-success'])!!}
			</div>
			{!! Form::close()!!}
		</div>
	</div>
</div>
@endsection